Bug 111432 - missing return statement
Summary: missing return statement
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: w3c-libwww   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-03 17:29 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-04 11:57:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-12-03 17:29:42 UTC
Description of problem:
I just tried to compile package w3c-libwww-5.4.0-7 from Fedora.

The compiler said

1.

rdf_parse_buffer.c(104): remark #1011: missing return statement at end
of non-void function "parse_buffer"

The source code is

PRIVATE char * parse_buffer(const char *file_name, char **ret_buff,
int *ret_length)
{
	/* more code */
}

I think there is a missing return statement at the end of this
routine. Suspect

	return 0;

should be added.



Version-Release number of selected component (if applicable):
w3c-libwww-5.4.0-7 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Harald Hoyer 2003-12-04 11:57:09 UTC
please report these issues upstream... btw, this is non-critical code,
as it is in the Examples directory...


Note You need to log in before you can comment on or make changes to this bug.